Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking
Class IESpyData

    java.lang.Object
      scone.accesstracking.IESpyData

    public class IESpyData

extends java.lang.Object

Diese Klasse enthält Daten über die momentan angezeigte Internet Seite einer bestimmten IE Instanz

Constructor Summary
`IESpyData()`

Method Summary
`void` | `clearAppletStarted()`
`java.lang.String` | `getFragment()`
`int` | `getFrameCount()`
`java.lang.String` | `getFrameName()`
`java.lang.String` | `getNodeId()`
`java.lang.String` | `getParentFrameName()`
`java.lang.String` | `getParentNodeName()`
`java.lang.String` | `getQuery()`
`java.lang.String` | `getReferrer()`
`long` | `getStartTime()`
`java.lang.String` | `getUserId()`
`void` | `setFragment(java.lang.String fragment)`
`void` | `setFrameCount(int frameCount)`
`void` | `setFrameName(java.lang.String frameName)`
`void` | `setNodeId(java.lang.String nodeId)`
`void` | `setParentFrameName(java.lang.String parentFrameName)`
`void` | `setParentNodeName(java.lang.String parentNodeName)`
`void` | `setQuery(java.lang.String query)`
`void` | `setReferrer(java.lang.String referrer)`
`void` | `setStartTime(long startTime)`
`void` | `setUserId(java.lang.String userId)`
`boolean` | `startedComplete()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IESpyData

    public IESpyData()

Method Detail

### setStartTime

    public void setStartTime(long startTime)

### setUserId

    public void setUserId(java.lang.String userId)

### setNodeId

    public void setNodeId(java.lang.String nodeId)

### setFragment

    public void setFragment(java.lang.String fragment)

### setQuery

    public void setQuery(java.lang.String query)

### setFrameName

    public void setFrameName(java.lang.String frameName)

### setParentNodeName

    public void setParentNodeName(java.lang.String parentNodeName)

### setParentFrameName

    public void setParentFrameName(java.lang.String parentFrameName)

### setReferrer

    public void setReferrer(java.lang.String referrer)

### setFrameCount

    public void setFrameCount(int frameCount)

### clearAppletStarted

    public void clearAppletStarted()

### startedComplete

    public boolean startedComplete()

### getStartTime

    public long getStartTime()

### getUserId

    public java.lang.String getUserId()

### getNodeId

    public java.lang.String getNodeId()

### getFragment

    public java.lang.String getFragment()

### getQuery

    public java.lang.String getQuery()

### getFrameName

    public java.lang.String getFrameName()

### getParentNodeName

    public java.lang.String getParentNodeName()

### getParentFrameName

    public java.lang.String getParentFrameName()

### getReferrer

    public java.lang.String getReferrer()

### getFrameCount

    public int getFrameCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD